- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osgTerrain::DataSet::DestinationData Struct Reference

Inheritance diagram for osgTerrain::DataSet::DestinationData:

[legend]
List of all members.

## Public Types
typedef std::vector< osg::ref_ptr< osg::Node > > | ModelList
## Public Member Functions
| DestinationData (DataSet *dataSet)
## Public Attributes
DataSet * | _dataSet
float | _minDistance
float | _maxDistance
osg::ref_ptr< osg::Image > | _image
osg::ref_ptr< osg::HeightField > | _heightField
ModelList | _models

## Member Typedef Documentation

typedef std::vector< osg::ref_ptr<osg::Node> > osgTerrain::DataSet::DestinationData::ModelList

## Constructor & Destructor Documentation

osgTerrain::DataSet::DestinationData::DestinationData | ( | DataSet * | dataSet | ) | `[inline]`

## Member Data Documentation

DataSet* osgTerrain::DataSet::DestinationData::_dataSet

osg::ref_ptr<osg::HeightField> osgTerrain::DataSet::DestinationData::_heightField

osg::ref_ptr<osg::Image> osgTerrain::DataSet::DestinationData::_image

float osgTerrain::DataSet::DestinationData::_maxDistance

float osgTerrain::DataSet::DestinationData::_minDistance

ModelList osgTerrain::DataSet::DestinationData::_models

The documentation for this struct was generated from the following file:

- DataSet